interface HighlightOptions {
    backgroundColor?: string;
    textColor?: string;
    fontWeight?: string;
    fontStyle?: string;
    customClass?: string;
}
interface Highlight {
    id: string;
    text: string;
    range: Range;
    annotation?: string;
}
declare class Highlighter {
    private static instance;
    private options;
    private highlights;
    private constructor();
    static getInstance(options?: HighlightOptions): Highlighter;
    highlightSelectedText(): void;
    removeHighlights(): void;
    addAnnotationToHighlight(highlightId: string, annotation: string): void;
    addHighlightListener(elementId: string): void;
    removeHighlightListener(elementId: string): void;
    getHighlights(): Highlight[];
    saveHighlights(): void;
    loadHighlights(): void;
}
export default Highlighter;
